which terraform 2>/dev/null >&2 || return

# Terraform
alias tf='terraform'
alias tf-apply='terraform apply'
alias tf-asjson='hcltool <<<$(cat *.tf) >terraform-module.json; vim -Rn terraform-module.json; rm -f terraform-module.json'
alias tf-c='terraform console'
alias tf-del='terraform destroy'
alias tf-fmt='terraform fmt'
alias tf-fu='terraform force-unlock'
alias tf-g='terraform get'
alias tf-i='terraform import'
alias tf-init='terraform workspace'
alias tf-o='terraform output'
alias tf-p='terraform plan'
alias tf-prv='terraform providers'
alias tf-r='terraform refresh'
alias tf-s='terraform show'
alias tf-st='terraform state'
alias tf-t0='terraform untaint'
alias tf-t1='terraform taint'
alias tf-v='terraform validate'
alias tf-ver='terraform version'
alias tf-ws='terraform workspace'
alias tf-docs-md='terraform-docs md .'
alias tf-docs-README='terraform-docs md . >> README.md'
